<template>
  <v-page :header-text="headerText">
    <img v-if="img" :src="img" alt="..." width="40" class="social-logo"/>
    <br/>
    <div class="text">Signing in...</div>
    <br/>
    <v-button :in-progress="inProgress" @click="onSignInFinished">{{ buttonSignInFinishedText }}</v-button>
  </v-page>
</template>

<script>
  import VPage from 'zeus-common/src/component/page/VPage'
  import VButton from 'zeus-common/src/component/button/VButton'
  import { ButtonSignInFinished, header as headerText } from '@/config'

  export default {
    name: 'SocialCallback',
    components: { VButton, VPage },
    props: {
      img: String,
      inProgress: Boolean
    },
    data: () => ({
      headerText: headerText,
      buttonSignInFinishedText: ButtonSignInFinished.text
    }),
    methods: {
      onSignInFinished: ButtonSignInFinished.go
    }
  }
</script>

<style scoped>
  .social-logo {
    margin-top: 1.1em;
    margin-bottom: 1.35em;
  }
  .text {
    margin-bottom: 1em;
  }
</style>